%define upstream_name    ExtUtils-Helpers
%define upstream_version 0.026
%global __requires_exclude perl\\(ExtUtils::PL2Bat\\)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Windows specific helper bits
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/ExtUtils/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::ParseWords) >= 3.240.0
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module provides various portable helper functions for module building
modules.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

# Don't include VMS and Windows helpers, which may pull in unwelcome dependencies
rm -f lib/ExtUtils/Helpers/{VMS,Windows}.pm
perl -ni -e 'print unless /^lib\/ExtUtils\/Helpers\/(VMS|Windows)\.pm$/;' MANIFEST

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.26.0-6.mga9
+ Revision: 1809283
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.26.0-5.mga8
+ Revision: 1504420
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.26.0-4.mga7
+ Revision: 1283643
- Mageia 7 Mass Rebuild

* Sat Jul 29 2017 sander85 <sander85> 0.26.0-3.mga7
+ Revision: 1132447
- Don't include VMS and Windows helpers, which may pull in unwelcome dependencies (from Fedora)
+ shlomif <shlomif>
- Fix the requires to avoid a win-specific one.

* Sat Jul 29 2017 sander85 <sander85> 0.26.0-1.mga7
+ Revision: 1132326
- update to 0.026

* Sun Jun 19 2016 pterjan <pterjan> 0.22.0-6.mga6
+ Revision: 1027180
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.22.0-5.mga6
+ Revision: 948894
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.22.0-4.mga5
+ Revision: 788546
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.22.0-3.mga5
+ Revision: 739650
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.22.0-2.mga5
+ Revision: 684680
- Mageia 5 Mass Rebuild

* Thu Mar 13 2014 jquelin <jquelin> 0.22.0-1.mga5
+ Revision: 602910
- update to 0.022

* Sat Oct 19 2013 umeabot <umeabot> 0.21.0-2.mga4
+ Revision: 526611
- Mageia 4 Mass Rebuild

* Thu Jun 06 2013 shlomif <shlomif> 0.21.0-1.mga4
+ Revision: 438340
- imported package perl-ExtUtils-Helpers


* Thu Jun 06 2013 cpan2dist 0.021-1mga
- initial mageia release, generated with cpan2dist
